require 'studio_game\game'

module StudioGame
  describe Game do

    before do
      $stdout = StringIO.new 
      @game = Game.new("Knuckleheads")
	  @rounds = 3

      @initial_health = 100
      @player = Player.new("moe", @initial_health)
    
      @game.add_player(@player)
    end
  
    it "woots a player when a high number is rolled" do
      Die.any_instance.stub(:roll).and_return(5)
	
	  @game.play(@rounds) 
	
	  @player.health.should == @initial_health + (15 * @rounds)
    end 

    it "blams a player when a low number is rolled" do 
      Die.any_instance.stub(:roll).and_return(2) 
	
	  @game.play(@rounds) 
	
	  @player.health.should == @initial_health - (10 * @rounds) 
    end 

    it "skips a player when a medium number is rolled" do 
      Die.any_instance.stub(:roll).and_return(4) 
	
	  @game.play(@rounds)  
	
	  @player.health.should == @initial_health
    end 	
  
    it "assigns a treasure for points during a player's turn" do
      game = Game.new("Knuckleheads")
      player = Player.new("moe")

      game.add_player(player)

      game.play(1)

      player.points.should_not be_zero
    end
  end
end 
  










